Package ru.bitel.bgbilling.kernel.contract.api.common.service

# Interface ContractStatusService

public interface ContractStatusService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SALDOSHOWMODE_BALANCE`
  `static final int`
  `SALDOSHOWMODE_SALDO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MapHolder<String,String>`
  `changeContractStatus(int[] contractId, int objectId, int statusId, Date dateFrom, Date dateTo, String comment, boolean confirmChecked)`
  Смена статуса у договора
  `MapHolder<String,String>`
  `contractObjectStatusChange(int contractId, int objecttId, ContractStatus contractStatus, boolean customer, boolean confirmChecked)`
  `ContractStatusChangeParameters`
  `contractObjectStatusChangeParametersGet(int contractId, int objecttId)`
  `List<ContractStatus>`
  `contractObjectStatusList(int contractId, int objecttId, Date date)`
  `ContractStatus`
  `contractObjectStatusOnDate(int contractId, int objecttId, Date date)`
  `SearchResult<MonitorStatusResult>`
  `contractSearch(int mode, int statusPeriod, String statusPeriodUnit, Set<Integer> group, Set<Integer> notGroup, String status, String saldoFrom, String saldoTo, String sort, int subContract, Page page, int saldoAccountMonths, BigDecimal saldoAcconuntsMore, Set<Integer> serviceAccountMaxServices, float serviceMaxVal, int balanceLimit, int balancePrevLimit, int saldoShowMode)`
  поиск договоров
  `MapHolder<String,String>`
  `contractStatusChange(int contractId, ContractStatus contractStatus, boolean customer, boolean confirmChecked)`
  `ContractStatusChangeParameters`
  `contractStatusChangeParametersGet(int contractId)`
  `List<ContractStatus>`
  `contractStatusList(int contractId, Date date)`
  `SearchResult<ContractStatusLog>`
  `contractStatusLogSearch(int contractId, int objectId, Page page)`
  `ContractStatus`
  `contractStatusOnDate(int contractId, Date date)`
  `SearchResult<ContractStatus>`
  `contractStatusSearch(int contractId, int objectId, Page page)`
  `void`
  `createBalanceDump()`
  создание среза балансов
  `List<Status>`
  `getStatusList(boolean onlyManual)`
  Возвращает список статусов из конфига сервера
  `void`
  `statusFutureTaskCancel(int contractId, int id)`
  `List<BGFutureTask>`
  `statusFutureTasks(BGEntityType entityType, int entityId, BGFutureTaskStatus taskStatus)`
  `List<Status>`
  `statusList()`

- ## Field Details

  - ### SALDOSHOWMODE_SALDO

    static final int SALDOSHOWMODE_SALDO
    See Also:
      - Constant Field Values

  - ### SALDOSHOWMODE_BALANCE

    static final int SALDOSHOWMODE_BALANCE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### statusList

    List<Status> statusList() throws Exception
    Throws:
      `Exception`

  - ### getStatusList

    List<Status> getStatusList(boolean onlyManual) throws Exception
    Возвращает список статусов из конфига сервера
    Throws:
      `Exception`

  - ### statusFutureTasks

    List<BGFutureTask> statusFutureTasks(BGEntityType entityType, int entityId, BGFutureTaskStatus taskStatus) throws Exception
    Throws:
      `Exception`

  - ### statusFutureTaskCancel

    void statusFutureTaskCancel(int contractId, int id) throws Exception
    Throws:
      `Exception`

  - ### contractObjectStatusList

    List<ContractStatus> contractObjectStatusList(int contractId, int objecttId, Date date) throws Exception
    Throws:
      `Exception`

  - ### contractObjectStatusOnDate

    ContractStatus contractObjectStatusOnDate(int contractId, int objecttId, Date date) throws Exception
    Throws:
      `Exception`

  - ### contractObjectStatusChangeParametersGet

    ContractStatusChangeParameters contractObjectStatusChangeParametersGet(int contractId, int objecttId) throws Exception
    Throws:
      `Exception`

  - ### contractObjectStatusChange

    MapHolder<String,String> contractObjectStatusChange(int contractId, int objecttId, ContractStatus contractStatus, boolean customer, boolean confirmChecked) throws Exception
    Throws:
      `Exception`

  - ### contractStatusList

    List<ContractStatus> contractStatusList(int contractId, Date date) throws Exception
    Throws:
      `Exception`

  - ### contractStatusOnDate

    ContractStatus contractStatusOnDate(int contractId, Date date) throws Exception
    Throws:
      `Exception`

  - ### contractStatusChangeParametersGet

    ContractStatusChangeParameters contractStatusChangeParametersGet(int contractId) throws Exception
    Throws:
      `Exception`

  - ### createBalanceDump

    void createBalanceDump() throws Exception
    создание среза балансов
    Throws:
      `Exception`

  - ### contractSearch

    SearchResult<MonitorStatusResult> contractSearch(int mode, int statusPeriod, String statusPeriodUnit, Set<Integer> group, Set<Integer> notGroup, String status, String saldoFrom, String saldoTo, String sort, int subContract, Page page, int saldoAccountMonths, BigDecimal saldoAcconuntsMore, Set<Integer> serviceAccountMaxServices, float serviceMaxVal, int balanceLimit, int balancePrevLimit, int saldoShowMode) throws Exception
    поиск договоров
    Throws:
      `Exception`

  - ### changeContractStatus

    MapHolder<String,String> changeContractStatus(int[] contractId, int objectId, int statusId, Date dateFrom, Date dateTo, String comment, boolean confirmChecked) throws Exception
    Смена статуса у договора
    Throws:
      `Exception`

  - ### contractStatusChange

    MapHolder<String,String> contractStatusChange(int contractId, ContractStatus contractStatus, boolean customer, boolean confirmChecked) throws Exception
    Throws:
      `Exception`

  - ### contractStatusLogSearch

    SearchResult<ContractStatusLog> contractStatusLogSearch(int contractId, int objectId, Page page) throws Exception
    Throws:
      `Exception`

  - ### contractStatusSearch

    SearchResult<ContractStatus> contractStatusSearch(int contractId, int objectId, Page page) throws Exception
    Throws:
      `Exception`